import React from "react";
import { Button, Form } from "antd";
import { PisellDataSourceContainer } from "@pisell/materials";
import { ReloadOutlined } from "@ant-design/icons";
//#region src/plus/orderList/components/Reset.tsx
const { useContainerContext } = PisellDataSourceContainer;
const Reset = (props) => {
	const { locales, setValueType, clearSelectedData } = props;
	const { serverActions: { list } } = useContainerContext();
	const form = Form.useFormInstance();
	return /* @__PURE__ */ React.createElement(Button, {
		icon: /* @__PURE__ */ React.createElement(ReloadOutlined, null),
		onClick: () => {
			form.resetFields();
			list.onReset();
			setValueType(void 0);
			clearSelectedData();
		}
	}, locales.getText("pisell2.orderList.common.reset"));
};
//#endregion
export { Reset as default };
